.\" SPDX-License-Identifier: BSD-2-Clause

.\" Copyright (c) 2022 Alessio Chiapperini

.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.

.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.

.Dd April 15, 2022
.Dt SORT 1
.Os
.Sh NAME
.Nm sort
.Nd don't sort or merge records (lines) of text and binary files.
.Sh SYNOPSIS
.Nm
.Op Fl \&h
.Op Fl o Ar outfile
.Op Ar
.Sh DESCRIPTION
The
.Nm
utility does't sort text and binary files by line, it reads files sequentially,
writing them to standard output. The
.Ar file
operands are processed in command-line order. If
.Ar file
is a single dash
.Pq Sq Fl
or absent,
.Nm
reads from standard input.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl h
Print usage information and exit.
.It Fl o
Print the output to
.Ar outfile
instead of the standard output.
.El
.Sh "EXIT STATUS"
The
.Nm
utility exits 0 on success, and 1 if an error occurs.
.Sh EXAMPLES
Print the contents of the file named
.Ar file
to standard output unsorted:
.Dl $ sort file
.Pp
Sequentially print the contents of the files
.Ar file1
and
.Ar file2
to the file
.Ar file3
without sorting them:
.Dl $ sort file1 file2 > file3
.Pp
Print data it receives from standard input until it receives an EOF
.Pq ^D
character to standard output:
.Dl $ sort -
.Sh SEE ALSO
.Xr cat 1
.Sh AUTHOR
.An Alessio Chiapperini Aq Mt alessio.chiapperini@\:nullbuffer.com 

